Package com.ngrok.services

# Class TunnelGroupBackends.UpdateCallBuilder

java.lang.Object
com.ngrok.services.TunnelGroupBackends.UpdateCallBuilder

Enclosing class:
  TunnelGroupBackends

public class TunnelGroupBackends.UpdateCallBuilder extends Object
A builder object encapsulating state for an unsent Update API call.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TunnelGroupBackend`
  `blockingCall()`
  Initiates the API call and blocks until it returns.
  `CompletionStage<TunnelGroupBackend>`
  `call()`
  Initiates the API call asynchronously.
  `TunnelGroupBackends.UpdateCallBuilder`
  `description(String description)`
  human-readable description of this backend.
  `TunnelGroupBackends.UpdateCallBuilder`
  `description(Optional<String> description)`
  human-readable description of this backend.
  `TunnelGroupBackends.UpdateCallBuilder`
  `labels(Map<String,String> labels)`
  labels to watch for tunnels on, e.g.
  `TunnelGroupBackends.UpdateCallBuilder`
  `labels(Optional<Map<String,String>> labels)`
  labels to watch for tunnels on, e.g.
  `TunnelGroupBackends.UpdateCallBuilder`
  `metadata(String metadata)`
  arbitrary user-defined machine-readable data of this backend.
  `TunnelGroupBackends.UpdateCallBuilder`
  `metadata(Optional<String> metadata)`
  arbitrary user-defined machine-readable data of this backend.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### description

    public TunnelGroupBackends.UpdateCallBuilder description(String description)
    human-readable description of this backend. Optional
    Parameters:
      `description` - the value of the description parameter as a `String`
    Returns:
      the call builder instance

  - ### description

    public TunnelGroupBackends.UpdateCallBuilder description(Optional<String> description)
    human-readable description of this backend. Optional
    Parameters:
      `description` - the value of the description parameter as an `Optional` of `String`
    Returns:
      the call builder instance

  - ### metadata

    public TunnelGroupBackends.UpdateCallBuilder metadata(String metadata)
    arbitrary user-defined machine-readable data of this backend. Optional
    Parameters:
      `metadata` - the value of the metadata parameter as a `String`
    Returns:
      the call builder instance

  - ### metadata

    public TunnelGroupBackends.UpdateCallBuilder metadata(Optional<String> metadata)
    arbitrary user-defined machine-readable data of this backend. Optional
    Parameters:
      `metadata` - the value of the metadata parameter as an `Optional` of `String`
    Returns:
      the call builder instance

  - ### labels

    public TunnelGroupBackends.UpdateCallBuilder labels(Map<String,String> labels)
    labels to watch for tunnels on, e.g. app->foo, dc->bar
    Parameters:
      `labels` - the value of the labels parameter as a `Map` of `String` to `String`
    Returns:
      the call builder instance

  - ### labels

    public TunnelGroupBackends.UpdateCallBuilder labels(Optional<Map<String,String>> labels)
    labels to watch for tunnels on, e.g. app->foo, dc->bar
    Parameters:
      `labels` - the value of the labels parameter as an `Optional` of `Map` of `String` to `String`
    Returns:
      the call builder instance

  - ### call

    public CompletionStage<TunnelGroupBackend> call()
    Initiates the API call asynchronously.
    Returns:
      a `CompletionStage` of `TunnelGroupBackend`

  - ### blockingCall

    public TunnelGroupBackend blockingCall() throws InterruptedException
    Initiates the API call and blocks until it returns.
    Returns:
      `TunnelGroupBackend`
    Throws:
      `InterruptedException` - if the thread was interrupted during the call